Subject: Re: [PATCH net v3 2/3] net: wangxun: match VLAN CTAG and STAG features

From: Jakub Kicinski <[email-masked]>
Date: Mon, 13 May 2024 16:00:27 -0700

On Fri, 10 May 2024 14:17:50 +0800 Jiawen Wu wrote:
> Hardware requires VLAN CTAG and STAG configuration always matches. And
> whether VLAN CTAG or STAG changes, the configuration needs to be changed
> as well.

With this patch the resulting configuration will depend on the order of
actions. Basically the features will be disable if the last action is
either stag or ctag disable. This may cause to subtle bugs if some
refactoring changes the order of enable and disable.

It'd be better to turn both features on if _either_ feature was
requested. And require that _both_ are disabled before disabling.
-- 
pw-bot: cr